aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libcdr/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2015-02-03 07:05:25 +0000
committerTimo Teräs <timo.teras@iki.fi>2015-02-03 17:29:17 +0000
commitc4b51f7b26cd38e7e857ebd2d162ba1414c03330 (patch)
tree61f49c77fcc4dc29193d7e2a1feefdb97d3514f9 /testing/libcdr/APKBUILD
parent9e7d681d0eea98f9df504ceb6c10a3dca12c7439 (diff)
downloadaports-c4b51f7b26cd38e7e857ebd2d162ba1414c03330.tar.gz
aports-c4b51f7b26cd38e7e857ebd2d162ba1414c03330.tar.bz2
aports-c4b51f7b26cd38e7e857ebd2d162ba1414c03330.tar.xz
testing/libcdr: new aport
Import filter and tools for Corel DRAW files https://wiki.documentfoundation.org/DLP/Libraries/libcdr
Diffstat (limited to 'testing/libcdr/APKBUILD')
-rw-r--r--testing/libcdr/APKBUILD55
1 files changed, 55 insertions, 0 deletions
diff --git a/testing/libcdr/APKBUILD b/testing/libcdr/APKBUILD
new file mode 100644
index 0000000000..1a1a799363
--- /dev/null
+++ b/testing/libcdr/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=libcdr
+pkgver=0.1.1
+pkgrel=0
+pkgdesc="Import filter and tools for Corel DRAW files"
+url="https://wiki.documentfoundation.org/DLP/Libraries/libcdr"
+arch="all"
+license="MPL2"
+depends=""
+depends_dev="boost-dev librevenge-dev lcms2-dev zlib-dev icu-dev"
+makedepends="$depends_dev doxygen"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tools"
+source="http://dev-www.libreoffice.org/src/$pkgname/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+tools() {
+ mkdir -p "$subpkgdir"/usr
+ mv "$pkgdir"/usr/bin "$subpkgdir"/usr
+}
+
+md5sums="72ed4d2f900eac95061207d026d5324c libcdr-0.1.1.tar.xz"
+sha256sums="d0a6e0667e5a37fe059bcb81d5077fc2abffc7e7bac86fe302fbcf927d58df1f libcdr-0.1.1.tar.xz"
+sha512sums="a655b5390022fb5049d2f75fe836a693033943060d820942d59eb0a34548363ff183e0f32d22ec277d1f8b5c7ab89ab1fba933f17ef1239d14d053bd6a5cf624 libcdr-0.1.1.tar.xz"